%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define bzr_rev        102

Name:           gwibber
Version:        0.7
Release:        4.%{bzr_rev}bzr%{?dist}
Summary:        An open source microblogging client for GNOME developed with Python and GTK

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/gwibber
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  bzr branch -r %{bzr_rev} lp:gwibber
#  tar -czvf gwibber-%{bzr_rev}bzr.tar.gz gwibber
Source0:        %{name}-%{bzr_rev}bzr.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       python pygtk2 dbus-python gnome-python2-gconf PyXML pywebkitgtk
Requires:       python-simplejson >= 1.9.1
BuildRequires:  python-devel desktop-file-utils
BuildArch:      noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q -n gwibber


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i '/#! \?\/usr\/bin\/env python/d' $(find %{buildroot}%{python_sitelib}/%{name}/ | grep "\.py$")
rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 0.7-4.102bzr
- Update upstream
- Fix requires: s/pywebkitgui/pywebkitgtk/
- Fix requires: python-simplejson >= 1.9.1

* Sat Aug 30 2008 Ian Weller <ianweller@gmail.com> 0.7-3.101bzr
- Update upstream to webkitui branch

* Tue Aug 05 2008 Ian Weller <ianweller@gmail.com> 0.7-2.61bzr
- Patch facebook.py to find ui/preferences.glade in the right location

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.7-1.61bzr
- Initial package build.
